{
 "actions": [],
 "allow_rename": 1,
 "creation": "2025-08-09 17:32:59.586173",
 "editable_grid": 1,
 "engine": "InnoDB",
 "field_order": [
  "rule_id",
  "rule_protocol",
  "port",
  "source_cidr_ip",
  "remark"
 ],
 "fields": [
  {
   "fieldname": "port",
   "fieldtype": "Data",
   "in_list_view": 1,
   "label": "端口范围"
  },
  {
   "fieldname": "remark",
   "fieldtype": "Data",
   "in_list_view": 1,
   "label": "备注"
  },
  {
   "columns": 2,
   "fieldname": "rule_id",
   "fieldtype": "Data",
   "in_list_view": 1,
   "label": "规则ID",
   "read_only": 1
  },
  {
   "fieldname": "rule_protocol",
   "fieldtype": "Select",
   "in_list_view": 1,
   "label": "协议",
   "options": "TCP\nUDP\nICMP"
  },
  {
   "fieldname": "source_cidr_ip",
   "fieldtype": "Data",
   "in_list_view": 1,
   "label": "来源IP"
  }
 ],
 "grid_page_length": 50,
 "index_web_pages_for_search": 1,
 "istable": 1,
 "links": [],
 "modified": "2025-08-09 19:45:50.104225",
 "modified_by": "Administrator",
 "module": "Jcloud",
 "name": "Firewall Rules",
 "owner": "Administrator",
 "pagetype": "PageType",
 "permissions": [],
 "row_format": "Dynamic",
 "sort_field": "modified",
 "sort_order": "DESC",
 "states": []
}